#!/usr/bin/perl -w

#    Jevix::Makeup

#  !              .
#     :
#    text -  
#    error -     HTML-
#    errorLog -       

use strict;
use warnings;
use Jevix::Makeup;
use Data::Dumper;

#  =================================================
use POSIX;
POSIX::setlocale (&POSIX::LC_CTYPE, "ru");
use locale;
# ===============================================================

my $text = ' - . ",  ,       ,     <b style="color: red">""</b>,    "...';

#  1:    ,       
my $conf = {
                isHTML=>1,                  #     (     )
                lineBreaks=>1,              #    <br />
                paragraphs=>1,              #   <p>
                dashes=>1,                  # 
                dots=>1,                    # 
                edgeSpaces=>1,              #        
                tagSpaces=>1,               #     (</td>  <td>)
                multiSpaces=>1,             #     
                redundantSpaces=>1,         #   ,     
                compositeWords=>0,          #      <nobr>
                compositeWordsLength=>10,   #    ,    <nobr>
                nbsp=>1,                    #   
                quotes=>1,                  #  
                qaType=>0,                  #    (.     http://jevix.ru/)
                qbType=>1,                  #   
                misc=>1,                    #   (&copy,   )
                codeMode=>2,                #   .  (0: ANSI <...>, 1: HTML- <&#133;>, 2: HTML- <&hellip;>)
                tagsDenyAll=>0,             #     
                tagsDeny=>'',               #   
                tagsAllow=>'',              #    ( ,    )
                tagCloseSingle=>0,          #   ,    
                tagCloseOpen=>0,            #      
                tagNamesToLower=>0,         #      
                tagNamesToUpper=>0,         #      
                tagAttributesToLower=>0,    #       
                tagAttributesToUpper=>0,    #       
                tagQuoteValues=>0,          #      
                tagUnQuoteValues=>0,        #      
                links=>1,                   #      <a>
                linksAttributes=>0,         #      
                simpleXSS=>0,               #   XSS-   
                checkHTML=>0,               #   HTML
                logErrors=>0                #   
           };

my $result = Jevix::Makeup->process(\$text, $conf);

#  
#
#  2:    "Basic",    ,    ,   HTML
# -----------------------------------------------------------------------------------------------------------------------------------
#
#my $result = Jevix::Makeup->process(\$text, {presetBasic=>1, nbsp=>0, qaType=>1, isHTML=>0});


#  3:     " " (basic)
# ---------------------------------------------------------------
#
#my $result = Jevix::Makeup->process(\$text);


#    tagsAllow  tagsDeny
# -----------------------------------------
#
#  tagsAllow  tagsDeny      ,        (   )
#
#  tagsAllow        'a,br,div',    .
#
# :
#         '|a,br,b' -   'a', 'br', 'b',       
#         '|a,br:class,b' -   'a', 'br', 'b',       ,   class   'br'
#         'a:href:title,br,b' -   'a', 'br', 'b',        'br'  'b',    'a' 
#                                 'href'  'title'
#
#  tagsDeny     :
#         'script, object' -    'script'  'object'
# 

print Dumper $result;